{
    "$graph": [
        {
            "label": "Execute CRISPR, gather",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*",
                "-failed-jobs-tolerate-failures"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "ncbi_crispr.out",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                }
            ],
            "id": "#gpx_qdump.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/annots"
                }
            ]
        },
        {
            "label": "Execute CRISPR, scatter",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-batch-size",
                "1"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#gpx_qsubmit.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ids"
                    },
                    "id": "#gpx_qsubmit.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit.cwl"
        },
        {
            "label": "Execute CRISPR, execution",
            "class": "CommandLineTool",
            "baseCommand": "ncbi_crisper_wnode",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#ncbi_crisper_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/opt/crispr/1.0/bin/",
                    "inputBinding": {
                        "prefix": "-ncbi-crisper-path"
                    },
                    "id": "#ncbi_crisper_wnode.cwl/crisper_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#ncbi_crisper_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#ncbi_crisper_wnode.cwl/output_dir"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#ncbi_crisper_wnode.cwl/outdir"
                }
            ],
            "id": "#ncbi_crisper_wnode.cwl"
        },
        {
            "label": "Execute CRISPR",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "boolean"
                    },
                    "id": "#main/go"
                },
                {
                    "type": "File",
                    "id": "#main/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/Execute_CRISPR_dump/annots",
                    "id": "#main/annots"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#main/Execute_CRISPR_wnode/outdir",
                            "id": "#main/Execute_CRISPR_dump/input_path"
                        }
                    ],
                    "out": [
                        "#main/Execute_CRISPR_dump/annots"
                    ],
                    "id": "#main/Execute_CRISPR_dump"
                },
                {
                    "run": "#gpx_qsubmit.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/Execute_CRISPR_submit/asn_cache"
                        },
                        {
                            "source": "#main/seqids",
                            "id": "#main/Execute_CRISPR_submit/seqids"
                        }
                    ],
                    "out": [
                        "#main/Execute_CRISPR_submit/jobs"
                    ],
                    "id": "#main/Execute_CRISPR_submit"
                },
                {
                    "run": "#ncbi_crisper_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/Execute_CRISPR_wnode/asn_cache"
                        },
                        {
                            "source": "#main/Execute_CRISPR_submit/jobs",
                            "id": "#main/Execute_CRISPR_wnode/input_jobs"
                        }
                    ],
                    "out": [
                        "#main/Execute_CRISPR_wnode/outdir"
                    ],
                    "id": "#main/Execute_CRISPR_wnode"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
